{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.0
  Fecha versión actual: 01-10-2001
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
}

unit FacturarAlbaranCliente;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, Grids, DBGrids, ExDBGrid, RdxBoton,  StdCtrls,
  RdxMemo, RdxCampos, ExtCtrls, RdxPanel, RdxBarra, RdxScrollPanel, Tipos;

type
  TfrFacturarAlbaranCliente = class(TRdxFrame)
    brGuardar: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    pnlScroll: TRdxScrollPanel;
    pnlAlbaranes: TPanel;
    cDatosAlbaran: TRdxCabecera;
    pnlGridArticulos: TPanel;
    gArticulos: TExDBGrid;
    RdxPanel1: TRdxPanel;
    RdxBoton1: TRdxBoton;
    RdxBoton2: TRdxBoton;
    pnlCliente: TPanel;
    cDatosProveedor: TRdxCabecera;
    Label2: TLabel;
    eNIFCIF: TLabel;
    RdxEdit2: TRdxEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    eCodCliente: TLabel;
    CodigoCliente: TRdxEdit;
    RdxBoton4: TRdxBoton;
    Label1: TLabel;
    NIFCIFCliente: TRdxEdit;
    eNombreCliente: TLabel;
    NombreCliente: TRdxEdit;
    procedure bCancelarClick(Sender: TObject);
    procedure bSalirClick(Sender: TObject);
  private
    { Private declarations }
  public
    constructor Create (AOwner : TComponent); override;
  end;

var
  frFacturarAlbaranCliente: TfrFacturarAlbaranCliente;

implementation

{$R *.DFM}

constructor TfrFacturarAlbaranCliente.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  Entidad := entAlbaranCliente;
  Modo := Facturar;
end;

procedure TfrFacturarAlbaranCliente.bCancelarClick(Sender: TObject);
begin
  inherited;
  CloseFrame;
end;

procedure TfrFacturarAlbaranCliente.bSalirClick(Sender: TObject);
begin
  inherited;
  CloseFrame;
end;

end.
